<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<project>
    	
    <configuration id="com.st.stm32cube.ide.mcu.gnu.managedbuild.config.exe.debug.589415678" name="Debug">
        		
        <extension point="org.eclipse.cdt.core.LanguageSettingsProvider">
            			
            <provider copy-of="extension" id="org.eclipse.cdt.ui.UserLanguageSettingsProvider"/>
            			
            <provider-reference id="org.eclipse.cdt.core.ReferencedProjectsLanguageSettingsProvider" ref="shared-provider"/>
            			
            <provider-reference id="org.eclipse.cdt.managedbuilder.core.MBSLanguageSettingsProvider" ref="shared-provider"/>
            			
            <provider copy-of="extension" id="org.eclipse.cdt.managedbuilder.core.GCCBuildCommandParser"/>
            			
            <provider class="com.st.stm32cube.ide.mcu.toolchain.armnone.setup.CrossBuiltinSpecsDetector" console="false" env-hash="1838965552826907577" id="com.st.stm32cube.ide.mcu.toolchain.armnone.setup.CrossBuiltinSpecsDetector" keep-relative-paths="false" name="MCU ARM GCC Built-in Compiler Settings" parameter="${COMMAND} ${FLAGS} -E -P -v -dD &quot;${INPUTS}&quot;" prefer-non-shared="true">
                				
                <language-scope id="org.eclipse.cdt.core.gcc"/>
                				
                <language-scope id="org.eclipse.cdt.core.g++"/>
                			
            </provider>
            		
        </extension>
        	
    </configuration>
    	
    <configuration id="com.st.stm32cube.ide.mcu.gnu.managedbuild.config.exe.release.982146792" name="Release">
        		
        <extension point="org.eclipse.cdt.core.LanguageSettingsProvider">
            			
            <provider copy-of="extension" id="org.eclipse.cdt.ui.UserLanguageSettingsProvider"/>
            			
            <provider-reference id="org.eclipse.cdt.core.ReferencedProjectsLanguageSettingsProvider" ref="shared-provider"/>
            			
            <provider-reference id="org.eclipse.cdt.managedbuilder.core.MBSLanguageSettingsProvider" ref="shared-provider"/>
            			
            <provider copy-of="extension" id="org.eclipse.cdt.managedbuilder.core.GCCBuildCommandParser"/>
            			
            <provider class="com.st.stm32cube.ide.mcu.toolchain.armnone.setup.CrossBuiltinSpecsDetector" console="false" env-hash="1838965552826907577" id="com.st.stm32cube.ide.mcu.toolchain.armnone.setup.CrossBuiltinSpecsDetector" keep-relative-paths="false" name="MCU ARM GCC Built-in Compiler Settings" parameter="${COMMAND} ${FLAGS} -E -P -v -dD &quot;${INPUTS}&quot;" prefer-non-shared="true">
                				
                <language-scope id="org.eclipse.cdt.core.gcc"/>
                				
                <language-scope id="org.eclipse.cdt.core.g++"/>
                			
            </provider>
            		
        </extension>
        	
    </configuration>
    
</project>
